Package org.opensaml.xmlsec

# Interface SignatureValidationConfiguration

All Superinterfaces:
  `AlgorithmPolicyConfiguration`

All Known Implementing Classes:
  `BasicSignatureValidationConfiguration`

public interface SignatureValidationConfiguration extends AlgorithmPolicyConfiguration
The configuration information to use when validating an XML signature.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`AlgorithmPolicyConfiguration.Precedence`

## Method Summary

Modifier and Type
Method
Description
`SignatureTrustEngine`
`getSignatureTrustEngine()`
Get the signature trust engine to use.

### Methods inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge`

## Method Details

### getSignatureTrustEngine

@Nullable SignatureTrustEngine getSignatureTrustEngine()
Get the signature trust engine to use.

Returns:
  the signature trust engine